function [ Tambf, Fo, Fc ] = Temp_freq(Tdata,Tdata1,nT,ho,hc)

h = height(Tdata);
Tamb = zeros(h-2,1);
Hour = zeros(h-2,1);
Tamb(1) = Tdata1.AHUAI1eAmbientTemp(3);
Date = Tdata.Date(3);
Date = strsplit(Date,":");
Hour(1) = str2double(Date(1));

for k = 4:h
    Tamb(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    
    Date = Tdata.Date(k);
    Date = strsplit(Date,":");
    Hour(k-2) = str2double(Date(1));
end

Tmin = min(Tamb);
Tmax = max(Tamb);
Tambf = zeros(nT,1);
Tambf(1) = Tmin;

for j = 1:nT-1
    Tambf(j+1) = Tmin+(Tmax-Tmin)*j/(nT-1);
end

Fo = zeros(nT,1);
Fc = zeros(nT,1);
no=0;
nc=0;
for i = 1:h-2
    Tapprox = round((Tamb(i)-Tmin)/(Tmax-Tmin)*(nT-1))+1;
    if Hour(i)<ho || Hour(i)>=hc
        Fc(Tapprox)=Fc(Tapprox)+1;
        nc=nc+1;
    else
        Fo(Tapprox)=Fo(Tapprox)+1;
        no=no+1;
    end
end
Fo=Fo/no*100;
Fc=Fc/nc*100;
end

