function [ M, Load_LT_frame,Lavg ] = mat_Load_LT(Tdata,nLoad)
h = height(Tdata);
Load_LT_v = zeros(h-2,1);
Lavg=0;
for k = 3:h
    Load_LT_v(k) = Tdata.FrysemaskinCurrkWLoad(k);
    Lavg=Lavg+Load_LT_v(k);
end
Lavg=Lavg/(h-2);
M = zeros(nLoad,1);
Load_LT_min = min(Load_LT_v);
Load_LT_max = max(Load_LT_v);

Load_LT_frame = zeros(nLoad,1);

Load_LT_step = (Load_LT_max-Load_LT_min)/(nLoad-1);

for i = 1:nLoad
    Load_LT_frame(i) = Load_LT_min+Load_LT_step*(i-1);
end

for k = 1:h-2
    Load_LT_approx = round((Load_LT_v(k)-Load_LT_min)/(Load_LT_max-Load_LT_min)*(nLoad-1));
    M(Load_LT_approx+1) = M(Load_LT_approx+1)+1;
end
Load_LT_frame = Load_LT_frame/Load_LT_max*100;
Lavg=Lavg/Load_LT_max;
end

