function [ Mo, Mc, Load_MT_frame ] = mat_Load_OC(Tdata,Tdata1,nLoad,ho,hc)

h = height(Tdata);
Mo = zeros(nLoad,1);
Mc = zeros(nLoad,1);

[ Temp_v , Load_MT_v ,Sgc_Temp_v] = mat_Temp_Load(Tdata,Tdata1);

Load_MT_min = min(Load_MT_v);
Load_MT_max = max(Load_MT_v);

Load_MT_frame = zeros(nLoad,1);

Load_MT_step = (Load_MT_max-Load_MT_min)/(nLoad-1);

for i = 1:nLoad
    Load_MT_frame(i) = Load_MT_min+Load_MT_step*(i-1);
end

Date = Tdata.Date(3);
Date = strsplit(Date,":");
Hour = zeros(h-2,1);
Hour(1) = str2double(Date(1));

for k = 4:h
    Date = Tdata.Date(k);
    Date = strsplit(Date,":");
    Hour(k-2) = str2double(Date(1));
end

for k = 1:h-2
    Load_MT_approx = round((Load_MT_v(k)-Load_MT_min)/(Load_MT_max-Load_MT_min)*(nLoad-1))+1;
    if (Hour(k)<ho || Hour(k)>=hc)
        Mc(Load_MT_approx) = Mc(Load_MT_approx)+1;
    end
    if (Hour(k)>=ho && Hour(k)<hc)
        Mo(Load_MT_approx) = Mo(Load_MT_approx)+1;
    end


end
Load_MT_frame = Load_MT_frame/Load_MT_max*100;
end

