function [ M , Temp_frame , Sgc_frame ] = mat_Sgc_freq(Tdata,Tdata1,nTemp,nSgc)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
h = height(Tdata);
M = zeros(nTemp,nSgc);

[ Temp_v , Load_MT_v, Sgc_v ] = mat_Temp_Load(Tdata,Tdata1);

Sgc_min = min(Sgc_v);
Sgc_max = max(Sgc_v);

Temp_min = min(Temp_v);
Temp_max = max(Temp_v);

Temp_frame = zeros(nTemp,1);
Sgc_frame = zeros(nSgc,1);

Temp_step = (Temp_max-Temp_min)/(nTemp-1);
Sgc_step = (Sgc_max-Sgc_min)/(nSgc-1);

for i = 1:nTemp
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
    Sgc_frame(i) = Sgc_min+Sgc_step*(i-1);
end

for k = 1:h-2
    Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nTemp-1));
    Sgc_approx = round((Sgc_v(k)-Sgc_min)/(Sgc_max-Sgc_min)*(nSgc-1));
    M(Temp_approx+1,Sgc_approx+1) = M(Temp_approx+1,Sgc_approx+1)+1;
end
end

