function [ Temp_v , AHU_v ] = mat_Temp_Load_AHU( Tdata1 )

h = height(Tdata1);
AHU_v = zeros(h-2,1);
Temp_v = zeros(h-2,1);

for k = 3:h
    Temp_v(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    AHU = Tdata1.EL_AHUCurrkWLoad(k);
    CC = Tdata1.AHUCoolcoil(k);
    HC = Tdata1.AHUHeatcoil(k);
    if CC+HC~=0
        AHU_v(k-2) = AHU*CC/(CC+HC);
    end
end
end

