function [ Temp_v , HR_v ] = mat_Temp_Load_HR( Tdata1 )

h = height(Tdata1);
HR_v = zeros(h-2,1);
Temp_v = zeros(h-2,1);

for k = 3:h
    Temp_v(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    %HR = AirCurtain + FloorHeaters + VillaVent + (BackupHeater)
    %actually : HR = AC + FH4(cold room)
    AHU = Tdata1.EL_AHUCurrkWLoad(k);
    CC = Tdata1.AHUCoolcoil(k);
    HC = Tdata1.AHUHeatcoil(k);
    if CC+HC~=0
        AHU_H = AHU*HC/(CC+HC);
    end
    %HR_v(k-2) = AHU_H + Tdata1.FH4CurrkWLoad(k);
end
end

