function [ M , Temp_frame , HR_frame ] = mat_Temp_Load_HR_freq(Tdata1,nT,nL)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
h = height(Tdata1);
M = zeros(nT,nL);

[ Temp_v , HR_v ] = mat_Temp_Load_HR(Tdata1);

HR_min = min(HR_v);
HR_max = max(HR_v);

Temp_min = min(Temp_v);
Temp_max = max(Temp_v);

Temp_frame = zeros(nT,1);
HR_frame = zeros(nL,1);

Temp_step = (Temp_max-Temp_min)/(nT-1);
HR_step = (HR_max-HR_min)/(nL-1);

for i = 1:nT
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
    HR_frame(i) = HR_min+HR_step*(i-1);
end

for k = 1:h-2
    Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nT-1));
    HR_approx = round((HR_v(k)-HR_min)/(HR_max-HR_min)*(nL-1));
    M(Temp_approx+1,HR_approx+1) = M(Temp_approx+1,HR_approx+1)+1;
end

HR_frame = HR_frame/HR_max*100;
end

