function [ M , Temp_frame , AC_frame ] = mat_Temp_Load_freq(Tdata,nTemp,nLoad)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
h = height(Tdata);
M = zeros(nTemp,nLoad);

[ Temp_v , AC_v ] = mat_Temp_Load_AC(Tdata);

AC_min = min(AC_v);
AC_max = max(AC_v);

Temp_min = min(Temp_v);
Temp_max = max(Temp_v);

Temp_frame = zeros(nTemp,1);
AC_frame = zeros(nLoad,1);

Temp_step = (Temp_max-Temp_min)/(nTemp-1);
AC_step = (AC_max-AC_min)/(nLoad-1);

for i = 1:nTemp
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
    AC_frame(i) = AC_min+AC_step*(i-1);
end

for k = 1:h-2
    Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nTemp-1));
    AC_approx = round((AC_v(k)-AC_min)/(AC_max-AC_min)*(nLoad-1));
    M(Temp_approx+1,AC_approx+1) = M(Temp_approx+1,AC_approx+1)+1;
end
AC_frame = AC_frame/AC_max*100;
end

