%filename_Day_pack1 = '10-05-2018_pack1_2min.csv';
%filename_Day_pack2 = '10-05-2018_pack2_2min.csv';
%filename_Day_pack1 = '30-03-2018_pack1_2min.csv';
%filename_Day_pack2 = '30-03-2018_pack2_2min.csv';
%Tdata = importfile_pack1_limited(filename_Day_pack1);
%Tdata1 = importfile_pack2(filename_Day_pack2);
h = height(Tdata);
Temp = zeros(h-2,1);
Load_MT = zeros(h-2,1);
Load_LT = zeros(h-2,1);
Load_DR = zeros(h-2,1);
Load_AHU = zeros(h-2,1);
Load_HR = zeros(h-2,1);

for k = 3:h
    Temp(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    Load_MT(k-2) = Tdata.KjlemaskinCurrkWLoad(k);
    Load_LT(k-2) = Tdata.FrysemaskinCurrkWLoad(k);
    %Load_DR(k-2) = Tdata.DiskerRomCurrkWLoad(k);
    AHU = Tdata1.EL_AHUCurrkWLoad(k);
    CC = Tdata1.AHUCoolcoil(k);
    HC = Tdata1.AHUHeatcoil(k);
    if CC+HC~=0
        Load_AHU(k-2) = AHU*CC/(CC+HC);
        Load_HR(k-2)= AHU*HC/(CC+HC);
    end
    %Load_HR(k-2) = Load_HR(k-2)+Tdata1.FH4CurrkWLoad(k);
end

t = 0:minutes(2):hours(24);
yyaxis left
xlabel('Time (h)')
ylabel('%MaxLoad')
plot(t,Load_MT,'g',t,Load_LT,'b',t,Load_HR,'y',t,Load_AHU,'m')
yyaxis right
ylabel('Temperature (C)')
plot(t,Temp,'r')