function [ Toi,Tci, Foi, Fci, xo ] = Temp_freq_integral(Tdata,Tdata1,nT,ho,hc)

h = height(Tdata);
Tamb = zeros(h-2,1);
Hour = zeros(h-2,1);
Tamb(1) = Tdata1.AHUAI1eAmbientTemp(3);
Date = Tdata.Date(3);
Date = strsplit(Date,":");
Hour(1) = str2double(Date(1));
nTb = 100;

for k = 4:h
    Tamb(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    
    Date = Tdata.Date(k);
    Date = strsplit(Date,":");
    Hour(k) = str2double(Date(1));
end

Tmin = min(Tamb);
Tmax = max(Tamb);
Tambf = zeros(nTb,1);
Tambf(1) = Tmin;

for j = 1:nTb-1
    Tambf(j+1) = Tmin+(Tmax-Tmin)*j/(nTb-1);
end

Fo = zeros(nTb,1);
Fc = zeros(nTb,1);
no = 0;
nc = 0;
for i = 1:h-2
    Tapprox = round((Tamb(i)-Tmin)/(Tmax-Tmin)*(nTb-1))+1;
    if Hour(i)<ho || Hour(i)>=hc
        Fc(Tapprox)=Fc(Tapprox)+1;
        nc = nc+1;
    else
        Fo(Tapprox)=Fo(Tapprox)+1;
        no = no+1;
    end
end
xo=no/(nc+no);
Fc = Fc/nc*100;
Fo = Fo/no*100;
Fc = round(Fc);
Fo = round(Fo);
st = round(100/nT);
k=1;
Fci = zeros(nT,1);
Tci = zeros(nT,1);
i=0;
maxc=length(Fc);
while k<=maxc
    m=0;
    i=i+1;
    while m<st && k<=maxc
        if Fc(k)>0
            Fc(k)=Fc(k)-1;
            Tci(i) = Tci(i)+Tambf(k);
            m=m+1;
        else
            k=k+1;
        end
    end
   Fci(i) = m;
   Tci(i) = Tci(i)/m;
end

k=1;
Foi = zeros(nT,1);
Toi = zeros(nT,1);
i=0;
maxo=length(Fo);
while k<=maxo
    m=0;
    i=i+1;
    while m<st && k<=maxo
        if Fo(k)>0
            Fo(k)=Fo(k)-1;
            Toi(i) = Toi(i)+Tambf(k);
            m=m+1;
        else
            k=k+1;
        end
    end
    Foi(i) = m;
    Toi(i) = Toi(i)/m;
end
end

