function [ M , Temp_frame , AHU_frame ] = mat_Temp_Load_AHU_freq(Tdata1,nT,nL)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
h = height(Tdata1);
M = zeros(nT,nL);

[ Temp_v , AHU_v ] = mat_Temp_Load_AHU(Tdata1);

AHU_min = min(AHU_v);
AHU_max = max(AHU_v);

Temp_min = min(Temp_v);
Temp_max = max(Temp_v);

Temp_frame = zeros(nT,1);
AHU_frame = zeros(nL,1);

Temp_step = (Temp_max-Temp_min)/(nT-1);
AHU_step = (AHU_max-AHU_min)/(nL-1);

for i = 1:nT
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
    AHU_frame(i) = AHU_min+AHU_step*(i-1);
end

for k = 1:h-2
    Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nT-1));
    AHU_approx = round((AHU_v(k)-AHU_min)/(AHU_max-AHU_min)*(nL-1));
    M(Temp_approx+1,AHU_approx+1) = M(Temp_approx+1,AHU_approx+1)+1;
end

AHU_frame = AHU_frame/AHU_max*100;
end

