function [ Mo, Mc , Temp_frame , Load_MT_frame ] = mat_Temp_Load_freq_OC(Tdata,Tdata1,nTemp,nLoad,ho,hc)

h = height(Tdata);
Mo = zeros(nTemp,nLoad);
Mc = zeros(nTemp,nLoad);

[ Temp_v , Load_MT_v ,Sgc_Temp_v] = mat_Temp_Load(Tdata,Tdata1);

Load_MT_min = min(Load_MT_v);
Load_MT_max = max(Load_MT_v);

Temp_min = min(Temp_v);
Temp_max = max(Temp_v);

Temp_frame = zeros(nTemp,1);
Load_MT_frame = zeros(nLoad,1);

Temp_step = (Temp_max-Temp_min)/(nTemp-1);
Load_MT_step = (Load_MT_max-Load_MT_min)/(nLoad-1);

for i = 1:nTemp
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
end

for j = 1:nLoad
    Load_MT_frame(j) = Load_MT_min+Load_MT_step*(j-1);
end

Date = Tdata.Date(3);
Date = strsplit(Date,":");
Hour = zeros(h-2,1);
Hour(1) = str2double(Date(1));

for k = 4:h
    Date = Tdata.Date(k);
    Date = strsplit(Date,":");
    Hour(k-2) = str2double(Date(1));
end

for k = 1:h-2
    Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nTemp-1))+1;
    Load_MT_approx = round((Load_MT_v(k)-Load_MT_min)/(Load_MT_max-Load_MT_min)*(nLoad-1))+1;
    if (Hour(k)<ho || Hour(k)>=hc)
        Mc(Temp_approx,Load_MT_approx) = Mc(Temp_approx,Load_MT_approx)+1;
    end
    if (Hour(k)>=ho && Hour(k)<hc)
        Mo(Temp_approx,Load_MT_approx) = Mo(Temp_approx,Load_MT_approx)+1;
    end


end
Load_MT_frame = Load_MT_frame/Load_MT_max*100;
end

