function [ M , Temp_frame , Load_MT_frame ] = mat_Temp_Load_freq_min(Tdata,nTemp,nLoad,Temp_min)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
h = height(Tdata);
M = zeros(nTemp,nLoad);

[ Temp_v , Load_MT_v ,Sgc_Temp_v] = mat_Temp_Load(Tdata,Tdata1);

Load_MT_min = Load_MT_v(1);
Load_MT_max = Load_MT_v(1);

%Temp_min is given in argument of the function because the GC maintains the
%temperature to a minimum using bypass
Temp_max = Temp_v(1);

for j=1:h-2
    if Load_MT_v(j)>Load_MT_max
         Load_MT_max = Load_MT_v(j);
    end
    
    if Load_MT_v(j)<Load_MT_min
         Load_MT_min = Load_MT_v(j);
    end
    
    if Temp_v(j)>Temp_max
         Temp_max = Temp_v(j);
    end
end

Temp_frame = zeros(nTemp,1);
Load_MT_frame = zeros(nLoad,1);

Temp_step = (Temp_max-Temp_min)/(nTemp-1);
Load_MT_step = (Load_MT_max-Load_MT_min)/(nLoad-1);

for i = 1:nTemp
    Temp_frame(i) = Temp_min+Temp_step*(i-1);
    Load_MT_frame(i) = Load_MT_min+Load_MT_step*(i-1);
end

for k = 1:h-2
    if Temp_v(k)>Temp_min
        Temp_approx = round((Temp_v(k)-Temp_min)/(Temp_max-Temp_min)*(nTemp-1))+1;
    else
        Temp_approx = Temp_min;
    end
    Load_MT_approx = round((Load_MT_v(k)-Load_MT_min)/(Load_MT_max-Load_MT_min)*(nLoad-1))+1;
    M(Temp_approx,Load_MT_approx) = M(Temp_approx,Load_MT_approx)+1;
end
%Load_MT_frame = Load_MT_frame/Load_MT_max*100;
end

