filename_dec = 'December_pack2.csv';
filename_aug2dec = 'September2december_pack2_10min.csv';
%Tdata = importfile_pack2(filename_dec);
%Tdata = importfile_pack2(filename_aug2dec);
nT = 100;
nL = 100;
[M,Tf,Lf] = mat_Temp_Load_HR_freq(Tdata1,nT,nL);
Lavg=zeros(nT,1);
for k =1:nT
    m=0;
    for j=1:nL
        Lavg(k)=Lavg(k)+M(k,j)*Lf(j);
        m=m+M(k,j);
    end
    if m~=0
        Lavg(k)=Lavg(k)/m;
    else
        Lavg(k)=-10;
    end
end

%csvwrite('HR_avg_April2018.csv',[Tf Lavg]);

graph = scatter(Tf,Lavg);
Color = 'blue';
graph.MarkerFaceColor = Color;
graph.MarkerEdgeColor = Color;
title('HR Load averaged depending on Tamb')
xlabel('Ambient temperature')
ylabel('%Max HR Load')


