filename_dec = 'December_pack2.csv';
filename_aug2dec = 'September2december_pack2_10min.csv';
%Tdata = importfile_pack2(filename_dec);
%Tdata = importfile_pack2(filename_aug2dec);

ho = 7;
hc = 23;

h = height(Tdata);
Tamb = zeros(h-2,1);
Hour = zeros(h-2,1);
Tamb(1) = Tdata1.AHUAI1eAmbientTemp(3);
Date = Tdata.Date(3);
Date = strsplit(Date,":");
Hour(1) = str2double(Date(1));

for k = 4:h
    Tamb(k-2) = Tdata1.AHUAI1eAmbientTemp(k);
    
    Date = Tdata.Date(k);
    Date = strsplit(Date,":");
    Hour(k) = str2double(Date(1));
end

Tc = [];
To = [];
nc=0;
no=0;
for i = 1:h-2
    if Hour(i)<ho || Hour(i)>=hc
        Tc(end+1)=Tamb(i);
        nc=nc+1;
    else
        To(end+1)=Tamb(i);
        no=no+1;
    end
end

ax1 = subplot(2,2,1);
s1 = scatter(ax1, To, zeros(no,1));

title('Occurencies of Tamb')
xlabel('Ambient temperature')

ax2 = subplot(2,2,2);
s2 = scatter(ax2, Tc, zeros(nc,1));



