filename_april = 'April2018_pack1_2min.csv';

nL=10;
h = height(Tdata);
[Hour_v,Load_MT_v] = mat_hour_load( Tdata );
Load_MT_v = Load_MT_v/max(Load_MT_v)*100;

Lf = zeros(nL,1);
Lf(1) = min(Load_MT_v);
for k = 2:nL
    Lf(k) = Lf(k-1)+(100-Lf(1))/(nL-1);
end
M = zeros(24,nL);
for j = 1:h-2
    L = Load_MT_v(j);
    i = round((L-Lf(1))/(100-Lf(1))*(nL-1))+1;
    M(Hour_v(j)+1,i) = M(Hour_v(j)+1,i)+1;
end
Hf=1:24;
[ Z,X,Y ] = lining( M,Hf,Lf );
s = scatter(X,Y,Z);
Color = [0 0.5 0.5];
s.MarkerFaceColor = Color;
s.MarkerEdgeColor = Color;
title('2min occurrences of MT Load during the day regrouped per hour')
xlabel('Hour of the day')
ylabel('MT Load (%)')



